using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void ConfigGrid_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("IsAssociated",typeof(bool));
        dt.Columns.Add("Citation", typeof(string));
        dt.Columns.Add("BELawSecCitationDetailID", typeof(int));
        dt.Columns.Add("RowVersion", typeof(int));

        for (int i = 0; i < 10; i++)
        {
            dt.Rows.Add((i % 2 == 0), "Text " + i, i * 2, i * 10);
        }

        ConfigGrid.DataSource = dt;
    }
}
